<?php
include('../includes/validador.php');
include('../includes/funciones.php');
include('../conexiones/conex.php');

$id = $_POST['id'];
$matricula = $_POST['matricula'];

$mesesC = "";

//OBTENEMOS LOS VALORES DEL PRODUCTO

$sql = sprintf("SELECT * FROM alumno AL INNER JOIN matricula MT ON AL.Persona_id = MT.Persona_id WHERE AL.Persona_id = '%s' AND MT.Matricula_id = '%s'", $id, $matricula);
$valores = mysqli_query($con, $sql);

if ($valores && mysqli_num_rows($valores) > 0) {
    $valcatnoti = mysqli_fetch_array($valores);
    $anho = $valcatnoti['AhoLectivo'];
	$matrId = $valcatnoti['Matricula_id'];
	$cursoid = $valcatnoti['Curso_id'];
	$turno = $valcatnoti['Turno'];
	$obsmatr = $valcatnoti['Obs_Matricula'];
} else {
    $anho = null;
	$matrId = null;
	$cursoid = null;
	$turno = null;
	$obsmatr = null;
}

//$sqlMes = "SELECT * FROM mesescuotas MC WHERE NOT EXISTS (SELECT PC.monto_pago, SUM(monto_pago) AS total, monto_cuota FROM pagos_cuotas PC WHERE PC.mesPago = MC.nombreMes AND INTAnhoLect = '$anho' AND INTmatricula = '$matricula' AND (estadoPago IS NULL OR estadoPago = 'cancelado') AND PC.intPersona = '$id' HAVING SUM(monto_pago) = monto_cuota)";
$sqlMes = "SELECT * FROM `mesescuotas` M WHERE NOT EXISTS (SELECT PC.mesPago FROM pagos_cuotas PC WHERE PC.mesPago = M.nombreMes AND PC.INTAnhoLect = '$anho' AND PC.INTmatricula = '$matricula' AND (PC.estadoPago IS NULL /*OR PC.estadoPago = 'cancelado'*/))";
$queryMes = mysqli_query($con, $sqlMes);

if(mysqli_num_rows($queryMes) > 0){
	$mesesC =  $mesesC.'<option>Selecciona</option>';
	while($fetchMes = mysqli_fetch_assoc($queryMes)){
		$mesesC =  $mesesC.'<option value="'.$fetchMes['nombreMes'].'">'.$fetchMes['nombreMes'].'</option>';
	}
	$estado = "concuentas";
}else{
	$mesesC =  $mesesC.'<option>Sin cuotas pendientes</option>';
	$estado = "sincuentas";
}

$datos = array(
	0 => $matrId,
	1 => $cursoid,
	2 => $turno,
	3 => $anho,
	4 => $obsmatr,
	5 => $mesesC,
	6 => $estado,
	//7 => $sqlMes
);

echo json_encode($datos);
?>